	list p=16c74a,st=off,mm=off

#define P16_MAP1 0
#define P16_MAP2 1

        include "p16c74a.inc"   
        nolist    
        include "math16.inc"                    ;constants and varible definitions
        list
        cblock  0x70                            ;set cblock start address for
        endc                                    ;float_ascii routine


        org     0x000
        goto    start

        org     0x005
start
                                                ;     1 2345678
        movlw   0x80                            ;PI = 3.1415927
        movwf   AEXP			
        movlw   0x49
        movwf   AARGB0
        movlw   0x0F
        movwf   AARGB1
        movlw   0xDB
        movwf   AARGB2  
        
        call    float_ascii                     ;convert a 32-bit float to ASCII
                                                ;in this case
                                                ;ones = 3
                                                ;tenths = 1
                                                ;hundredths = 4
                                                ;thousandths = 1

done    goto    done


        include "floasc.inc"
        

        end
